Subject: Re: gcc can't find termcap library

From: [email-masked] (Bruce Perens)
Date: Mon, 26 Aug 96 09:29 PDT

Bruce:
> There is no varargs.h in libc5-dev_5.2.18-9 . Maybe older versions
> contain it. 

David:
> varargs.h is provided by gcc.

Oops. Never thought of that. Anyway, nothing should use it any longer.

	Thanks

	Bruce

---

From: "Larry 'Daffy' Daffner" <[email-masked]>
Date: Mon, 26 Aug 1996 23:00:25 -0500

Bruce Perens writes:
-> Bruce:
-> > There is no varargs.h in libc5-dev_5.2.18-9 . Maybe older versions
-> > contain it. 
-> 
-> David:
-> > varargs.h is provided by gcc.
-> 
-> Oops. Never thought of that. Anyway, nothing should use it any longer.

Yeah, well, in a perfect world, nothing would use it.  However,
there's a lot of legacy code out there, and the fact is some of it
does still use varargs. So, while I would strongly discourage the use
of obsolete items like varargs and such, the fact remains, some code
is still written to use them, and if it means that I can compile and
use said programs on my machine with minimal effort, then I will.

-Larry

--
  Larry Daffner        |  Linux: Unleash the workstation in your PC!
  [email-masked] / http://web2.airmail.net/vizzie/
C makes it easy to shoot yourself in the foot.  C++ makes it harder, but
  when you do, it blows away your whole leg.  -- Bjarne Stroustrup on C++